de.esprit.appsuite.nio.ndf

## Enum NotifyValue

- java.lang.Object
- - java.lang.Enum<NotifyValue>
  - - de.esprit.appsuite.nio.ndf.NotifyValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotifyValue>

      public enum NotifyValue
      extends java.lang.Enum<NotifyValue>

  This enum defines how you want to be notified about table/array data.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_STRING` Causes table/array values to be read and notified as Strings like property values.
    `AS_WORD` Causes table/array values to be read and notified as `AsciiWord`s.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotifyValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotifyValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AS_STRING

          public static final NotifyValue AS_STRING

      Causes table/array values to be read and notified as Strings like property values.

    - #### AS_WORD

          public static final NotifyValue AS_WORD

      Causes table/array values to be read and notified as `AsciiWord`s. This is much faster than reading as String but it does no interpretation on the read words at all.

  - ### Method Detail

    - #### values

          public static NotifyValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotifyValue c : NotifyValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotifyValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2012 EsprIT-Systems. All Rights Reserved.